package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
class __V_GlobSpec_collectClassGlobs {
  public __V_GlobSpec_collectClassGlobs() {
    super();
  }
 OneClassGlob one; ClassGlobSet set; 
  public void before(ClassGlob host) {
      if (one == null) {
	one = new OneClassGlob(host);
      } else {
	if (set == null) {
	  set = new ClassGlobSet(new ClassGlob_Commalist());
	  set.addElement(one.get_classglob());
	}
	if (!set.contains(host)) set.addElement(host);
      }
    }
  ClassGlobSpec get_return_val() { return one == null ? null :
              set == null ? (ClassGlobSpec) one : (ClassGlobSpec) set ; }
  public void start() {}
  public void finish() {}
  void universal_trv0_bef(UniversalVisitor _v_) {  }

  void universal_trv0_aft(UniversalVisitor _v_) {  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    universal_trv0_aft(_v_);
  }

}
